Jump to content
  • Advertisement
Sign in to follow this  
ShmeeBegek

OpenGL Bug in extgl

This topic is 4620 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Just posting in case anyone here uses extgl (yes I know that it's "dead"), because I just spent a good while on a rather simple bug in it. The bug is rather simple: if the OpenGL version string does not start with "1." then it assumes that OpenGL 1.2, 1.3, and 1.4 are not supported (this becomes a problem since I have OpenGL 2.0).

Share this post


Link to post
Share on other sites
Advertisement
Ahh yes I just mentioned this in my "opengl version problems" thread! :) I was trying to get some demos to run that have crappy OpenGL version checking code. Evidently they assume that if the major version is not a "1" then you don't have OpenGL 1.2, 1.3, or 1.4, and they just report that you don't have a recent version and quit. Bah!

cheers
sam

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!